Home Wiki > openSUSE:GNOME 3.0
Sign up | Login

openSUSE:GNOME 3.0

tagline: Материал из openSUSE

GNOME 3.0 в openSUSE 11.4

Мы выпустили openSUSE 11.4 с GNOME 2.32, но мы знаем людей, которые хотят насладиться элегантным дизайном GNOME 3. Поэтому команда GNOME упорно трудилась, чтобы подготовить GNOME 3.0 для openSUSE 11.4. Мы знаем, Вы его полюбите!

Как обновить openSUSE 11.4 до GNOME 3.0

Пожалуйста, перед обновлением внимательно прочитайте инструкцию.

Установка в 1-клик (Рекомендуется)

Перед обновлением обязательно откройте терминал (он вам понадобится для перезагрузки системы после завершения обновления) и закройте все запущенные приложения.

Для запуска обновления используйте одну из следующих кнопок:

Для x86 32bit openSUSE 11.4
Oneclick.png
Для x86 64bit openSUSE 11.4
Oneclick.png

Следуйте инструкциям на экране. После завершения обновления для перезагрузки компьютера в открытом заранее окне терминала введите следующую команду:

$ sudo /sbin/reboot


Если Вы забыли заранее открыть окно терминала, кликнете правой кнопкой мышки по рабочему столу и выберите "открыть терминал".

Обновление через консоль

Если Вы предпочитаете использовать консоль, выполните для обновления следующие команды от имени суперпользователя после закрытия все приложений:

  • Что бы быть уверенным что процесс обновления будет работать даже если ваша графическая сессия завершится, запустите screen:
    # screen
  • Добавим репозиторий GNOME:STABLE:3.0:
    # zypper ar obs://GNOME:STABLE:3.0/openSUSE_11.4 GNOME_STABLE_3.0
  • Убедимся, что репозиторий настроен на автообновление и имеет больший приоритет, чем другие репозитории openSUSE 11.4:
    # zypper mr -p 98 -r GNOME_STABLE_3.0
  • Запустим обновление (закройте все запущенные приложения перед стартом):
    # zypper dup
  • Убедимся, что GNOME Shell и GNOME3 установлены:
    # zypper in gnome-shell metatheme-adwaita-common
  • Убедимся что установлена поддержка 3D для чипсетов Nvidia (если не используется проприетарный драйвер):
    # zypper in Mesa-nouveau3d
  • После завершения обновления перезагружаем систему:
    $ sudo /sbin/reboot


FAQ

Я установил GNOME 3.0, но я нашел ошибки, Куда я могу о них сообщить?
Пожалуйста, сообщите об ошибке в openSUSE 11.4, в заголовке отчета укажите [gnome3].

Я установил (openSUSE) GNOME 3 на мою систему с liveCD, как я могу получить последние версии пакетов?
Вы должны переключиться на репозиторий GNOME:STABLE:3.0. Для этого выполните следующие команды от имени суперпользователя:

  • Добавим репозиторий GNOME:STABLE:3.0 в Вашу систему:
    # zypper ar obs://GNOME:STABLE:3.0/openSUSE_11.4 GNOME_STABLE_3.0
  • Убедимся, что репозиторий настроен на автообновление и имеет больший приоритет, чем другие репозитории openSUSE 11.4:
    # zypper mr -p 98 -r GNOME_STABLE_3.0
  • Удаляем старый репозиторий:
    # zypper rr home:fcrozat:gnome3_11.4
  • Обновляем Вашу систему из нового репозитория:
    # zypper dup
  • Перезагружаемся (потому что многие библиотеки выли изменены)

Известные проблемы

  • GNOME Shell требует поддержки 3D (openGL), которая в VirtualBox и VMWare сейчас работает нестабильно. Мы рекомендуем Вам отключить поддержку 3D в этих окружениях и использовать аварийный режим GNOME 3 (он включится автоматически). Исправлено Если вы используете VirtualBox 4.0.8 на Linux, с установленными расширениями (extensions) версии 4.0.8 (или более поздней), то 3D режим в GNOME 3 должен работать.
  • NetworkManager 0.9, необходимый для GNOME 3, сейчас имеет следующие проблемы:
    • KDE 4 не может правильно определять доступность сети: Вы можете переключиться на использование "традиционного метода с ifup" в сетевых настройках Yast или использовать nm-applet (из пакета NetworkManager-gnome) в KDE. Эта проблема будет исправлена в следующих выпусках openSUSE.
    • Исправлено Включение и редактирование WIFI сетей WPA-Entreprise недоступно через сетевое расширение в GNOME Shell и через центр управления GNOME. Эта проблема в ближайшее время будет исправлена.
    • Поддержка novellvpn недоступна: проблема находится в стадии выяснения.
    • При настройке WEP/WPA запрашивается пароль root.
  • Настройка авто-входа через панель учетной записи пользователя не работает. Пока эта ошибка не будет исправлена используйте Yast (Управление пользователями и группами / Настройки эксперта / Настройки входа / Авто вход) https://bugzilla.novell.com/show_bug.cgi?id=688071
  • Программа обновления в процессе обновления спрашивает пароль суперпользователя. Это происходит потому что включена автоматическая установка обновлений безопасности. Вернуть настройку по умолчанию для openSUSE 11.4 можно зайдя в "настройки обновления" и сняв галочку автоматической установки.
  • Для установки GNOME 3 по выше указанной инструкции на openSUSE 11.4 с первоначально установленным KDE, необходимо установить дополнительные пакеты
  • Исправлено Nautilus зависает при попытке открыть диалог "свойства" в меню правой кнопки мыши, пока для обхода этой проблемы удалите пакет nautilus-extension-tracker-tags. Смотри https://bugzilla.novell.com/show_bug.cgi?id=689447
  • Исправлено Пользователи ATI должны быть в курсе проблем с проприетарными драйверами ATI, которые вызывают графические артефакты в GNOME 3. Используя драйвер с открытым исходным кодом radeon вы избежите этих проблем. смотри http://ati.cchtml.com/show_bug.cgi?id=99

Как помочь?

Вы может помочь:

  • тестируя и сообщая о проблемах
  • помочь в сортировке отчетов об ошибках
  • Помогать пользователям, которые обновляются и сообщают о проблемах на форуме.